Loading...
Searching...
No Matches
svn_ra_svn_item_t Struct Reference

Memory representation of an on-the-wire data item. More...

`#include <svn_ra_svn.h>`

## Data Fields

svn_ra_svn_item_kind_t | kind
| Variant indicator.
union { |
apr_uint64_t number |
svn_string_t * string |
const char * word |
apr_array_header_t * list |
| Contains `svn_ra_svn_item_t's`. More...
} | u
| Variant data.

## Detailed Description

Memory representation of an on-the-wire data item.

Definition at line 159 of file svn_ra_svn.h.

## Field Documentation

## kind

svn_ra_svn_item_kind_t svn_ra_svn_item_t::kind

Variant indicator.

Definition at line 162 of file svn_ra_svn.h.

## list

apr_array_header_t* svn_ra_svn_item_t::list

Contains `svn_ra_svn_item_t's`.

Definition at line 171 of file svn_ra_svn.h.

## number

apr_uint64_t svn_ra_svn_item_t::number

Definition at line 166 of file svn_ra_svn.h.

## string

svn_string_t* svn_ra_svn_item_t::string

Definition at line 167 of file svn_ra_svn.h.

## word

const char* svn_ra_svn_item_t::word

Definition at line 168 of file svn_ra_svn.h.

The documentation for this struct was generated from the following file:

- svn_ra_svn.h